# Class AttractorScheme

java.lang.Object
uk.ac.starlink.ttools.scheme.AttractorScheme

All Implemented Interfaces:
  `uk.ac.starlink.table.Documented, uk.ac.starlink.table.TableScheme`

public class AttractorScheme extends Object implements uk.ac.starlink.table.TableScheme, uk.ac.starlink.table.Documented
TableScheme that can produce tables representing a sequence of 2d or 3d points in space corresponding to iterated sequence that follow (strange) attractors. This can be useful for generating large tables with non-trivial content columns (X,Y) or (X,Y,Z), especially for plotting demos.

Currently three attractor types are supported, as documented in the usage string. An example specification would be something like

       attractor:1e7,clifford,-1.25,1.66,-1.79,-0.25

where the first number is row count, the name is one of the supported attractor types, and the numbers are parameters to that attractor. The number of parameters depends on the type, but if no numbers are supplied, then an example set is used. Note if you supply parameters at random you have a good chance of getting a boring (non-strange) attractor.

Since:
  20 Jul 2020
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`AttractorScheme()`

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.StarTable`
`createTable(String argtxt)`
`String`
`getExampleSpecification()`
`String`
`getSchemeName()`
`String`
`getSchemeUsage()`
`String`
`getXmlDescription()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AttractorScheme

public AttractorScheme()

## Method Details

### getSchemeName

public String getSchemeName()

Specified by:
  `getSchemeName` in interface `uk.ac.starlink.table.TableScheme`

### getSchemeUsage

public String getSchemeUsage()

Specified by:
  `getSchemeUsage` in interface `uk.ac.starlink.table.TableScheme`

### getExampleSpecification

public String getExampleSpecification()

Specified by:
  `getExampleSpecification` in interface `uk.ac.starlink.table.TableScheme`

### getXmlDescription

public String getXmlDescription()

Specified by:
  `getXmlDescription` in interface `uk.ac.starlink.table.Documented`

### createTable

public uk.ac.starlink.table.StarTable createTable(String argtxt) throws uk.ac.starlink.table.TableFormatException

Specified by:
  `createTable` in interface `uk.ac.starlink.table.TableScheme`
Throws:
  `uk.ac.starlink.table.TableFormatException`